SystemOrganization addCategory: #'A3-UI'!
SystemOrganization addCategory: #'A3-UI-Test'!

TestCase subclass: #TestA3UITp
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-UI-Test'!

!TestA3UITp methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/3/2013 10:24'!
testCloseOpenedTp
	| tp utp |
	tp := A3Tp download: nil "student".
	utp := A3UITp open: tp.
	utp close.
	self assert: utp workSpace isNil.! !

!TestA3UITp methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/3/2013 10:15'!
testOpenTp
	| tp utp |
	tp := A3Tp download: nil "student".
	utp := A3UITp open: tp.
	self assert: utp wording = tp wording.
	utp close.! !

Object subclass: #A3UITp
	instanceVariableNames: 'tp ws'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'A3-UI'!

!A3UITp class methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 13:53'!
open: aTp
	| utp |
	utp := self new.
	utp open: aTp.
	^utp.! !

!A3UITp methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/3/2013 10:24'!
close
	SystemWindow allInstances 
		select: [ :w | w model isKindOf: ws class] 
		thenDo: [ :w | w delete].
	ws := nil.! !

!A3UITp methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/3/2013 09:47'!
open: aTp
	tp := aTp.
	ws := Workspace openContents: aTp wording.
	ws label: tp title.
	! !

!A3UITp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 14:18'!
tp
	^tp.! !

!A3UITp methodsFor: 'as yet unclassified' stamp: 'DiegoSanchez 1/3/2013 09:57'!
wording
	 ^self workSpace contents asString.! !

!A3UITp methodsFor: 'as yet unclassified' stamp: 'DS 1/2/2013 14:14'!
workSpace
	^ws.! !
